Subject: bug#17472: [PATCH] dfa.c (lex): Remove capitalisation of two dfaerror strings

From: Jim Meyering <[email-masked]>
Date: Sun, 11 May 2014 23:12:39 -0700

On Sun, May 11, 2014 at 9:01 PM, behoffski <[email-masked]> wrote:
> A few months ago, "make syntax-check" would complain if any string that
> was subject to localisation started with an upper-case character.
> Almost all messages in Grep conform to this standard.  However,
> "make syntax-check" no longer complains about two cases in the current
> master (dfa.c, function lex ()):
>
>     dfaerror (_("Invalid content of \\{\\}"));
>     dfaerror (_("Regular expression too big"));
>
> I don't know if this constraint is being relaxed, or if the check has
> changed somehow.  (Is syntax-check provided via gnulib?)
>
> Attached is a simple patch that converts the two error strings above to
> have a lower-case first character.  This may be useful to help maintain
> consistent message formatting.

Thanks for the patch.
That syntax-check rule does indeed come from gnulib, but it
looks only at error-like functions whose names match /[^rp]error/.
That hard-coded pattern would better be customizable.

BTW, those strings were added in 2012.

I've adjusted the commit message to be more consistent, and will
defer pushing your change to master until after the release.
Many translation teams have already updated strings for the
release, so I'd rather not change translatable messages
until after 2.19.